﻿/**
///////////////////////////////////////////////////////////////////////////////
ADOBE SYSTEMS INCORPORATED
Copyright 2008 Adobe Systems Incorporated
All Rights Reserved.
NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance with the 
terms of the Adobe license agreement accompanying it.  If you have received this file from a 
source other than Adobe, then your use, modification, or distribution of it requires the prior 
written permission of Adobe.
///////////////////////////////////////////////////////////////////////////////

This sample shows the basic components of an Adobe Device Central project plug-in and how to 
set it up. On successful installation and completion a greeting is displayed.

For step by step instructions on how to replicate this sample see  "Getting Started: HelloWorld" 
in the Adobe Device Central CS4 SDK Programmer’s Guide.

*/

// ------------------------------------------
// Helper methods
// ------------------------------------------

/** Returns a string representing the current time. */
function now()
{
	return new Date().toString();
}

// ------------------------------------------
// install
// ------------------------------------------

function install()
{
	/* Set a message in the configuration dialog with the time of installation of the task */
	var message = localize("$$$/HelloWorld/Installed=This task was installed on %1." , now());
	task.getStaticText("installmessage").label = message;
}

// ------------------------------------------
// configure
// ------------------------------------------

function configure(toolbar)
{ 
	/* Set a message in the configuration dialog with the time of last configuration of the task */
	var message = "";
	
	if (toolbar)
		message = "$$$/HelloWorld/ConfiguredToolbar=This task was configured on %1 from the toolbar.";
	else
		message = "$$$/HelloWorld/Configured=This task was configured on %1.";
		
	task.getStaticText("confmessage").label = localize(message, now());
}

// ------------------------------------------
// execute
// ------------------------------------------

function execute()
{
	/* Read the user's input */
	var name = task.getTextField("name").text;
	
	/* When the name is not available greet the world */
	if (name == undefined || name.length == 0)
		name = localize("$$$/HelloWorld/World=World");
		
	var os = localize(task.isOSMacintosh ? "$$$/HelloWorld/OSMac=Mac OS" : "$$$/HelloWorld/OSWindows=Windows");
	
	/*Display an alert with the localized greeting */
	alert(localize("$$$/HelloWorld/Hello=Hello %1!! This is Device Central CS4 running on %2.", name, os));
	
}






